LibOFX: Class Hierarchy

LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Class Hierarchy
This inheritance list is sorted roughly, but not completely, alphabetically:
[detail level 123]

cmdline_parser_params | The additional parameters to pass to parser functions
ErrorMsg | An abstraction of an OFX error code sent by an OFX server
gengetopt_args_info | Where the command line options are stored
tree< T, tree_node_allocator >::iterator_base | Base class for iterators, only pointers stored, no traversal logic
tree< T, tree_node_allocator >::fixed_depth_iterator | Iterator which traverses only the nodes at a given depth from the root
tree< T, tree_node_allocator >::post_order_iterator | Depth-first iterator, first accessing the children, then the node itself
tree< T, tree_node_allocator >::pre_order_iterator | Depth-first iterator, first accessing the node, then its children
tree< T, tree_node_allocator >::sibling_iterator | Iterator which traverses only the nodes which are siblings of each other
tree< T, tree_node_allocator >::iterator_base_less | Comparator class for iterators (compares the actual node content, not pointer values)
LibofxContext |
LibofxFileFormatInfo |
OfxAccountData | An abstraction of an account
OfxAggregate | A single aggregate as described in the OFX 1.02 specification
OfxRequest | A generic request
OfxAccountInfoRequest | An account information request
OfxPaymentRequest |
OfxStatementRequest | A statement request
OfxCurrency | NOT YET SUPPORTED
OfxFiLogin | Information sufficient to log into an financial institution
OfxFiServiceInfo | Information returned by the OFX Partner Server about a financial institution
OfxGenericContainer | A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer
OfxAccountContainer | Represents a bank account or a credit card account
OfxBalanceContainer | Represents the <BALANCE> OFX SGML entity
OfxDummyContainer | A container to holds OFX SGML elements that LibOFX knows nothing about
OfxMainContainer | The root container. Created by the <OFX> OFX element or by the export functions
OfxPushUpContainer | A container to hold a OFX SGML element for which you want the parent to process it's data elements
OfxSecurityContainer | Represents a security, such as a stock or bond
OfxStatementContainer | Represents a statement for either a bank account or a credit card account
OfxStatusContainer | Represents the <STATUS> OFX SGML entity
OfxTransactionContainer | Represents a generic transaction
OfxBankTransactionContainer | Represents a bank or credid card transaction
OfxInvestmentTransactionContainer | Represents a bank or credid card transaction
OfxPayee |
OfxPayment |
OfxSecurityData | An abstraction of a security, such as a stock, mutual fund, etc
OfxStatementData | An abstraction of an account statement
OfxStatusData | An abstraction of an OFX STATUS element
OfxTransactionData | An abstraction of a transaction in an account
option |
SGMLApplication |
OFCApplication | This object is driven by OpenSP as it parses the SGML from the ofx file(s)
OFXApplication | This object is driven by OpenSP as it parses the SGML from the ofx file(s)
tree< T, tree_node_allocator > |
tree< OfxGenericContainer * > |
tree_node_< T > | A node in the tree, combining links to other nodes as well as the actual data